# glance.gateway module

class glance.gateway.Gateway(db_api=None, store_api=None, notifier=None, policy_enforcer=None)

  Bases: `object`

  get_image_factory(context)
  get_image_member_factory(context)
  get_member_repo(image, context)
  get_metadef_namespace_factory(context)
  get_metadef_namespace_repo(context)

    Get the layered NamespaceRepo model.

    This is where we construct the “the onion” by layering NamespaceRepo models on top of each other, starting with the DB at the bottom.

    Parameters:

      context – The RequestContext

    Returns:

      An NamespaceRepo-like object

  get_metadef_object_factory(context)
  get_metadef_object_repo(context)

    Get the layered MetadefObjectRepo model.

    This is where we construct the “the onion” by layering MetadefObjectRepo models on top of each other, starting with the DB at the bottom.

    Parameters:

      context – The RequestContext

    Returns:

      An MetadefObjectRepo-like object

  get_metadef_property_factory(context)
  get_metadef_property_repo(context)

    Get the layered MetadefPropertyRepo model.

    This is where we construct the “the onion” by layering MetadefPropertyRepo models on top of each other, starting with the DB at the bottom.

    Parameters:

      context – The RequestContext

    Returns:

      An MetadefPropertyRepo-like object

  get_metadef_resource_type_factory(context)
  get_metadef_resource_type_repo(context)

    Get the layered MetadefResourceTypeRepo model.

    This is where we construct the “the onion” by layering MetadefResourceTypeRepo models on top of each other, starting with the DB at the bottom.

    Parameters:

      context – The RequestContext

    Returns:

      An MetadefResourceTypeRepo-like object

  get_metadef_tag_factory(context)
  get_metadef_tag_repo(context)

    Get the layered MetadefTagRepo model.

    This is where we construct the “the onion” by layering MetadefTagRepo models on top of each other, starting with the DB at the bottom.

    Parameters:

      context – The RequestContext

    Returns:

      An MetadefTagRepo-like object

  get_repo(context)

    Get the layered ImageRepo model.

    This is where we construct the “the onion” by layering ImageRepo models on top of each other, starting with the DB at the bottom.

    Parameters:

      context – The RequestContext

    Returns:

      An ImageRepo-like object

  get_task_executor_factory(context, admin_context=None)
  get_task_factory(context)
  get_task_repo(context)
  get_task_stub_repo(context)

this page last updated: 2026-03-19 01:38:33

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug